Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class AbstractVertexShapeFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.AbstractVertexShapeFunction

All Implemented Interfaces:
  SettableVertexShapeFunction, VertexShapeFunction

Direct Known Subclasses:
  EllipseVertexShapeFunction

public abstract class AbstractVertexShapeFunction
extends Object
implements SettableVertexShapeFunction

Author:
  Joshua O'Madadhain

Field Summary
`static float` | `DEFAULT_ASPECT_RATIO`
`static int` | `DEFAULT_SIZE`
`protected VertexShapeFactory` | `factory`
`protected VertexAspectRatioFunction` | `varf`
`protected VertexSizeFunction` | `vsf`

Constructor Summary
`AbstractVertexShapeFunction()`
`AbstractVertexShapeFunction(VertexSizeFunction vsf, VertexAspectRatioFunction varf)`

Method Summary
`void` | `setAspectRatioFunction(VertexAspectRatioFunction varf)`
`void` | `setSizeFunction(VertexSizeFunction vsf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.decorators.VertexShapeFunction
`getShape`

Field Detail

### vsf

    protected VertexSizeFunction vsf

### varf

    protected VertexAspectRatioFunction varf

### factory

    protected VertexShapeFactory factory

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

See Also:
  Constant Field Values

### DEFAULT_ASPECT_RATIO

    public static final float DEFAULT_ASPECT_RATIO

See Also:
  Constant Field Values

Constructor Detail

### AbstractVertexShapeFunction

    public AbstractVertexShapeFunction(VertexSizeFunction vsf,
                                       VertexAspectRatioFunction varf)

### AbstractVertexShapeFunction

    public AbstractVertexShapeFunction()

Method Detail

### setSizeFunction

    public void setSizeFunction(VertexSizeFunction vsf)

  Specified by:
    `setSizeFunction` in interface `SettableVertexShapeFunction`

### setAspectRatioFunction

    public void setAspectRatioFunction(VertexAspectRatioFunction varf)

  Specified by:
    `setAspectRatioFunction` in interface `SettableVertexShapeFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD